Package picard.vcf.filter

## Interface VariantFilter

- All Known Implementing Classes:
    `AlleleBalanceFilter`, `FisherStrandFilter`, `QdFilter`

      public interface VariantFilter

  Interface for classes that can generate filters for VariantContexts. The contract is that a VariantContext is provided, and if the variant should be filtered out then the filter string should be returned, otherwise null.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `filter​(htsjdk.variant.variantcontext.VariantContext ctx)` | Check to see if the VariantContext should have a filter applied to it.
    `List<htsjdk.variant.vcf.VCFFilterHeaderLine>` | `headerLines()` | Return VCF header lines that define filters that may be applied by the VariantFilter.

- - ### Method Detail

    - #### filter

          String filter​(htsjdk.variant.variantcontext.VariantContext ctx)

      Check to see if the VariantContext should have a filter applied to it. If so return the filter string, otherwise return null.

    - #### headerLines

          List<htsjdk.variant.vcf.VCFFilterHeaderLine> headerLines()

      Return VCF header lines that define filters that may be applied by the VariantFilter.